| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Selectors.FontSelectionDialog |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors Methods Attributes
Description
A dialog box for selecting fonts
Synopsis
data FontSelectionDialog
class DialogClass o => FontSelectionDialogClass o
castToFontSelectionDialog :: GObjectClass obj => obj -> FontSelectionDialog
gTypeFontSelectionDialog :: GType
toFontSelectionDialog :: FontSelectionDialogClass o => o -> FontSelectionDialog
fontSelectionDialogNew :: String -> IO FontSelectionDialog
fontSelectionDialogGetFontName :: FontSelectionDialogClass self => self -> IO (Maybe String)
fontSelectionDialogSetFontName :: FontSelectionDialogClass self => self -> String -> IO Bool
fontSelectionDialogGetPreviewText :: FontSelectionDialogClass self => self -> IO String
fontSelectionDialogSetPreviewText :: FontSelectionDialogClass self => self -> String -> IO ()
fontSelectionDialogPreviewText :: FontSelectionDialogClass self => Attr self String
Detail
The `FontSelectionDialog` widget is a dialog box for selecting a font. To set the font which is initially selected, use `fontSelectionDialogSetFontName`. To get the selected font use `fontSelectionDialogGetFontName`. To change the text which is shown in the preview area, use `fontSelectionDialogSetPreviewText`.
Class Hierarchy
     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----Window
     |                                 +----Dialog
     |                                       +----FontSelectionDialog
Types
data FontSelectionDialog
Instances
Eq FontSelectionDialog |
Ord FontSelectionDialog |
GObjectClass FontSelectionDialog |
FontSelectionDialogClass FontSelectionDialog |
DialogClass FontSelectionDialog |
WindowClass FontSelectionDialog |
BinClass FontSelectionDialog |
ContainerClass FontSelectionDialog |
WidgetClass FontSelectionDialog |
ObjectClass FontSelectionDialog |
class DialogClass o => FontSelectionDialogClass o
Instances
FontSelectionDialogClass FontSelectionDialog |
castToFontSelectionDialog :: GObjectClass obj => obj -> FontSelectionDialog
gTypeFontSelectionDialog :: GType
toFontSelectionDialog :: FontSelectionDialogClass o => o -> FontSelectionDialog
Constructors
fontSelectionDialogNew
:: String | `title` - the title of the dialog box.
-> IO FontSelectionDialog |
Creates a new `FontSelectionDialog`.
Methods
fontSelectionDialogGetFontName
:: FontSelectionDialogClass self |
=> self |
-> IO (Maybe String) | returns the currently-selected font name, or `Nothing` if no font is selected.
Gets the currently-selected font name.
fontSelectionDialogSetFontName
:: FontSelectionDialogClass self |
=> self |
-> String | `fontname` - a fontname.
-> IO Bool | returns `True` if the font was found.
Sets the currently-selected font.
fontSelectionDialogGetPreviewText :: FontSelectionDialogClass self => self -> IO String
Gets the text displayed in the preview area.
fontSelectionDialogSetPreviewText :: FontSelectionDialogClass self => self -> String -> IO ()
Sets the text displayed in the preview area.
Attributes
fontSelectionDialogPreviewText :: FontSelectionDialogClass self => Attr self String
'previewText' property. See `fontSelectionDialogGetPreviewText` and `fontSelectionDialogSetPreviewText`
Produced by Haddock version 2.7.2